Page MenuHomePhabricator

Move the interface for adding new files to a new UI class and refactor things around it
Closed, ResolvedPublic4 Story Points

Description

Brought about by possible performance issues when polling to update the interface, but I decided one of the better ways to fix this would be to fix the system that brought it about.

Basically, there should be a UI class that handles the file input, then passes File objects into new UploadWizardUpload objects, that are then added to the upload list. No need for the Upload class to handle the file input that I can see - we only ever need one.

Event Timeline

MarkTraceur claimed this task.
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur moved this task to Backlog on the Multimedia-Sprint-2015-02-18 board.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 5:45 PM
MarkTraceur set Security to None.Feb 18 2015, 5:45 PM
MarkTraceur edited a custom field.
MarkTraceur edited a custom field.
MarkTraceur renamed this task from Refactor and fix the move-to-cover method on UploadWizardUploadInterfaces to Move the interface for adding new files to a new UI class and refactor things around it.Feb 24 2015, 8:46 PM
MarkTraceur updated the task description. (Show Details)
MarkTraceur edited a custom field.
MarkTraceur removed MarkTraceur as the assignee of this task.May 1 2015, 4:04 PM

I'm pausing this task, as I've been stuck on it for some time. I'll come back to it later.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:25 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:25 PM
MarkTraceur lowered the priority of this task from Normal to Low.Dec 3 2015, 8:03 PM
MarkTraceur added a project: Technical-Debt.
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.Jan 23 2016, 12:16 AM
matmarex added a subscriber: matmarex.

Hmm, I think I implemented a large part of this with T126712.

matthiasmullie closed this task as Resolved.Dec 1 2016, 1:11 PM
matthiasmullie claimed this task.
matthiasmullie added a subscriber: matthiasmullie.

I think this is done. Right now, all of the file upload code is in uw.ui.Upload.js (input element & related UI) & uw.controller.Upload.js (creating UploadWizardUpload object, pushing to this.uploads)